com.h3c.of.lib.match

## Class MfbIpv4Src

- java.lang.Object
- - com.h3c.of.lib.OpenflowStructure
  - - com.h3c.of.lib.match.MatchField
    - - com.h3c.of.lib.match.MFieldBasic
      - - com.h3c.of.lib.match.MFieldBasicIp
        - - com.h3c.of.lib.match.MfbIpv4Src

- All Implemented Interfaces:
    Structure

      public class MfbIpv4Src
      extends MFieldBasicIp

  OXM Basic match field for `IPV4_SRC`.

- - ### Field Summary

    - ### Fields inherited from class com.h3c.of.lib.OpenflowStructure

      `version`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MfbIpv4Src` | `CreateMfbIpv4Src(ProtocolVersion pv, int rawOxmType, int rawClazz, OxmClass clazz, int rawFieldType, boolean hasMask, int length, String ip, String mask, OxmFieldType fieldType)`

    - ### Methods inherited from class com.h3c.of.lib.match.MFieldBasicIp

      `equals, getIpAddress, getMask, hashCode, toString`

    - ### Methods inherited from class com.h3c.of.lib.match.MatchField

      `getFieldType, getOxmClass, getPayloadLength, getRawFieldType, getRawOxmClass, getRawOxmType, getTotalLength, hasMask`

    - ### Methods inherited from class com.h3c.of.lib.OpenflowStructure

      `getVersion, hex, hex, toDebugString, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### CreateMfbIpv4Src

          public static MfbIpv4Src CreateMfbIpv4Src(ProtocolVersion pv,
                                    int rawOxmType,
                                    int rawClazz,
                                    OxmClass clazz,
                                    int rawFieldType,
                                    boolean hasMask,
                                    int length,
                                    String ip,
                                    String mask,
                                    OxmFieldType fieldType)

Copyright © 2014. All Rights Reserved.